CKEDITOR.replace('content');

$("#template_select").on('change', function () {
    if ($(this).val() != '') {
        if ($(this).val() == 'new') {
            $("#new_template_div").show();
            CKEDITOR.instances.content.setData('');
            $("#as_new").prop('checked', true);
            $('#new_save_template').show();
        } else {
            $('#new_save_template').hide();
            $("#new_template_div").show();
            $("#as_new").prop('checked', false);
            $.ajax({
                url: '/campaign_templates/' + $(this).val(),
                dataType: 'html',
                data: '',
                success: function (result) {
                    CKEDITOR.instances.content.setData(result);
                }
            });
        }
    } else {
        $("#new_template_div").show();
        CKEDITOR.instances.content.setData('');
    }
});

$('#new_save_template_check').on('change', function () {
    if ($(this).prop("checked") == true) {
        $('#title_template').show();
    } else {
        $('#title_template').hide();
    }
});